package com.base.system.service.impl.translation;

import com.base.common.core.service.UserService;
import com.base.common.framework.web.annotation.TranslationType;
import com.base.common.framework.web.constant.TransConstant;
import com.base.common.framework.web.handler.impl.TranslationInterface;
import lombok.AllArgsConstructor;

/**
 * 用户名翻译实现
 *
 * @author Lion Li
 */
@AllArgsConstructor
@TranslationType(type = TransConstant.USER_ID_TO_NAME)
public class UserNameTranslationImpl implements TranslationInterface<String> {

    private final UserService userService;

    @Override
    public String translation(Object key, String other) {
        if (key instanceof Long id) {
            return userService.selectUserNameById(id);
        }
        return null;
    }
}
